aboutsummaryrefslogtreecommitdiff
path: root/dev/perl
diff options
context:
space:
mode:
Diffstat (limited to 'dev/perl')
-rwxr-xr-xdev/perl/perl-archive-tar/perl-archive-tar.SlackBuild8
-rwxr-xr-xdev/perl/perl-array-compare/perl-array-compare.SlackBuild8
-rwxr-xr-xdev/perl/perl-html-stripscripts-parser/perl-html-stripscripts-parser.SlackBuild8
-rwxr-xr-xdev/perl/perl-html-stripscripts/perl-html-stripscripts.SlackBuild8
-rwxr-xr-xdev/perl/perl-inline/perl-inline.SlackBuild8
-rwxr-xr-xdev/perl/perl-io-compress-zlib/perl-io-compress-zlib.SlackBuild8
-rwxr-xr-xdev/perl/perl-io-socket-ssl/perl-io-socket-ssl.SlackBuild8
-rwxr-xr-xdev/perl/perl-io-zlib/perl-io-zlib.SlackBuild8
-rwxr-xr-xdev/perl/perl-libwww-perl/perl-libwww-perl.SlackBuild8
-rwxr-xr-xdev/perl/perl-mail-clamav/perl-mail-clamav.SlackBuild8
-rwxr-xr-xdev/perl/perl-mail-spamassassin/perl-mail-spamassassin.SlackBuild8
-rwxr-xr-xdev/perl/perl-mime-tools/perl-mime-tools.SlackBuild8
-rwxr-xr-xdev/perl/perl-net-dns/perl-net-dns.SlackBuild8
-rwxr-xr-xdev/perl/perl-net-ip/perl-net-ip.SlackBuild8
-rwxr-xr-xdev/perl/perl-net-ssleay/perl-net-ssleay.SlackBuild8
-rwxr-xr-xdev/perl/perl-template-toolkit/perl-template-toolkit.SlackBuild8
-rwxr-xr-xdev/perl/perl-xml-libxml/perl-xml-libxml.SlackBuild8
-rwxr-xr-xdev/perl/perl-xml-sax/perl-xml-sax.SlackBuild8
18 files changed, 126 insertions, 18 deletions
diff --git a/dev/perl/perl-archive-tar/perl-archive-tar.SlackBuild b/dev/perl/perl-archive-tar/perl-archive-tar.SlackBuild
index d0319e5e..4a916c1f 100755
--- a/dev/perl/perl-archive-tar/perl-archive-tar.SlackBuild
+++ b/dev/perl/perl-archive-tar/perl-archive-tar.SlackBuild
@@ -146,11 +146,17 @@ perl-archive-tar:
perl-archive-tar:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi
diff --git a/dev/perl/perl-array-compare/perl-array-compare.SlackBuild b/dev/perl/perl-array-compare/perl-array-compare.SlackBuild
index 0156252f..07fd53df 100755
--- a/dev/perl/perl-array-compare/perl-array-compare.SlackBuild
+++ b/dev/perl/perl-array-compare/perl-array-compare.SlackBuild
@@ -146,11 +146,17 @@ perl-array-compare:
perl-array-compare:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi
diff --git a/dev/perl/perl-html-stripscripts-parser/perl-html-stripscripts-parser.SlackBuild b/dev/perl/perl-html-stripscripts-parser/perl-html-stripscripts-parser.SlackBuild
index 71478f2c..684a1ce3 100755
--- a/dev/perl/perl-html-stripscripts-parser/perl-html-stripscripts-parser.SlackBuild
+++ b/dev/perl/perl-html-stripscripts-parser/perl-html-stripscripts-parser.SlackBuild
@@ -146,11 +146,17 @@ perl-html-stripscripts-parser:
perl-html-stripscripts-parser:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi
diff --git a/dev/perl/perl-html-stripscripts/perl-html-stripscripts.SlackBuild b/dev/perl/perl-html-stripscripts/perl-html-stripscripts.SlackBuild
index 8368f9a9..c8fb1e87 100755
--- a/dev/perl/perl-html-stripscripts/perl-html-stripscripts.SlackBuild
+++ b/dev/perl/perl-html-stripscripts/perl-html-stripscripts.SlackBuild
@@ -146,11 +146,17 @@ perl-html-stripscripts:
perl-html-stripscripts:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi
diff --git a/dev/perl/perl-inline/perl-inline.SlackBuild b/dev/perl/perl-inline/perl-inline.SlackBuild
index 9fbbd28d..0cbaf637 100755
--- a/dev/perl/perl-inline/perl-inline.SlackBuild
+++ b/dev/perl/perl-inline/perl-inline.SlackBuild
@@ -146,11 +146,17 @@ perl-inline:
perl-inline:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi
diff --git a/dev/perl/perl-io-compress-zlib/perl-io-compress-zlib.SlackBuild b/dev/perl/perl-io-compress-zlib/perl-io-compress-zlib.SlackBuild
index b37e89c5..9937d2ce 100755
--- a/dev/perl/perl-io-compress-zlib/perl-io-compress-zlib.SlackBuild
+++ b/dev/perl/perl-io-compress-zlib/perl-io-compress-zlib.SlackBuild
@@ -146,11 +146,17 @@ perl-io-compress-zlib:
perl-io-compress-zlib:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi
diff --git a/dev/perl/perl-io-socket-ssl/perl-io-socket-ssl.SlackBuild b/dev/perl/perl-io-socket-ssl/perl-io-socket-ssl.SlackBuild
index d72e0770..88b76c77 100755
--- a/dev/perl/perl-io-socket-ssl/perl-io-socket-ssl.SlackBuild
+++ b/dev/perl/perl-io-socket-ssl/perl-io-socket-ssl.SlackBuild
@@ -146,11 +146,17 @@ perl-io-socket-ssl:
perl-io-socket-ssl:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi
diff --git a/dev/perl/perl-io-zlib/perl-io-zlib.SlackBuild b/dev/perl/perl-io-zlib/perl-io-zlib.SlackBuild
index 1de8949b..84356f61 100755
--- a/dev/perl/perl-io-zlib/perl-io-zlib.SlackBuild
+++ b/dev/perl/perl-io-zlib/perl-io-zlib.SlackBuild
@@ -146,11 +146,17 @@ perl-io-zlib:
perl-io-zlib:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi
diff --git a/dev/perl/perl-libwww-perl/perl-libwww-perl.SlackBuild b/dev/perl/perl-libwww-perl/perl-libwww-perl.SlackBuild
index f1417549..379da6e1 100755
--- a/dev/perl/perl-libwww-perl/perl-libwww-perl.SlackBuild
+++ b/dev/perl/perl-libwww-perl/perl-libwww-perl.SlackBuild
@@ -146,11 +146,17 @@ perl-libwww-perl:
perl-libwww-perl:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi
diff --git a/dev/perl/perl-mail-clamav/perl-mail-clamav.SlackBuild b/dev/perl/perl-mail-clamav/perl-mail-clamav.SlackBuild
index 9bf10576..23dd8375 100755
--- a/dev/perl/perl-mail-clamav/perl-mail-clamav.SlackBuild
+++ b/dev/perl/perl-mail-clamav/perl-mail-clamav.SlackBuild
@@ -146,11 +146,17 @@ perl-mail-clamav:
perl-mail-clamav:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi
diff --git a/dev/perl/perl-mail-spamassassin/perl-mail-spamassassin.SlackBuild b/dev/perl/perl-mail-spamassassin/perl-mail-spamassassin.SlackBuild
index 975ba1dc..c3e9dd42 100755
--- a/dev/perl/perl-mail-spamassassin/perl-mail-spamassassin.SlackBuild
+++ b/dev/perl/perl-mail-spamassassin/perl-mail-spamassassin.SlackBuild
@@ -146,11 +146,17 @@ perl-mail-spamassassin:
perl-mail-spamassassin:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi
diff --git a/dev/perl/perl-mime-tools/perl-mime-tools.SlackBuild b/dev/perl/perl-mime-tools/perl-mime-tools.SlackBuild
index 24d81a7d..7b114e49 100755
--- a/dev/perl/perl-mime-tools/perl-mime-tools.SlackBuild
+++ b/dev/perl/perl-mime-tools/perl-mime-tools.SlackBuild
@@ -146,11 +146,17 @@ perl-mime-tools:
perl-mime-tools:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi
diff --git a/dev/perl/perl-net-dns/perl-net-dns.SlackBuild b/dev/perl/perl-net-dns/perl-net-dns.SlackBuild
index aad785ff..962e3292 100755
--- a/dev/perl/perl-net-dns/perl-net-dns.SlackBuild
+++ b/dev/perl/perl-net-dns/perl-net-dns.SlackBuild
@@ -146,11 +146,17 @@ perl-net-dns:
perl-net-dns:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi
diff --git a/dev/perl/perl-net-ip/perl-net-ip.SlackBuild b/dev/perl/perl-net-ip/perl-net-ip.SlackBuild
index a63a3336..9b36590e 100755
--- a/dev/perl/perl-net-ip/perl-net-ip.SlackBuild
+++ b/dev/perl/perl-net-ip/perl-net-ip.SlackBuild
@@ -146,11 +146,17 @@ perl-net-ip:
perl-net-ip:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi
diff --git a/dev/perl/perl-net-ssleay/perl-net-ssleay.SlackBuild b/dev/perl/perl-net-ssleay/perl-net-ssleay.SlackBuild
index b75bad64..f9e41ba5 100755
--- a/dev/perl/perl-net-ssleay/perl-net-ssleay.SlackBuild
+++ b/dev/perl/perl-net-ssleay/perl-net-ssleay.SlackBuild
@@ -146,11 +146,17 @@ perl-net-ssleay:
perl-net-ssleay:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi
diff --git a/dev/perl/perl-template-toolkit/perl-template-toolkit.SlackBuild b/dev/perl/perl-template-toolkit/perl-template-toolkit.SlackBuild
index 8a80223a..69d6f8e4 100755
--- a/dev/perl/perl-template-toolkit/perl-template-toolkit.SlackBuild
+++ b/dev/perl/perl-template-toolkit/perl-template-toolkit.SlackBuild
@@ -146,11 +146,17 @@ perl-template-toolkit:
perl-template-toolkit:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi
diff --git a/dev/perl/perl-xml-libxml/perl-xml-libxml.SlackBuild b/dev/perl/perl-xml-libxml/perl-xml-libxml.SlackBuild
index 01bbce56..7c1eedc6 100755
--- a/dev/perl/perl-xml-libxml/perl-xml-libxml.SlackBuild
+++ b/dev/perl/perl-xml-libxml/perl-xml-libxml.SlackBuild
@@ -150,11 +150,17 @@ perl-xml-libxml:
perl-xml-libxml:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi
diff --git a/dev/perl/perl-xml-sax/perl-xml-sax.SlackBuild b/dev/perl/perl-xml-sax/perl-xml-sax.SlackBuild
index 2f196947..b2463bbc 100755
--- a/dev/perl/perl-xml-sax/perl-xml-sax.SlackBuild
+++ b/dev/perl/perl-xml-sax/perl-xml-sax.SlackBuild
@@ -148,11 +148,17 @@ perl-xml-sax:
perl-xml-sax:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi